<?php

$file = "database.json";
$input = json_decode(file_get_contents("php://input"), true);

$data = json_decode(file_get_contents($file), true);

$idx = intval($input["index"]);

if (!isset($data[$idx])) exit;

$img = $data[$idx]["image"];

if(file_exists($img)) unlink($img);

array_splice($data,$idx,1);

file_put_contents($file, json_encode($data, JSON_PRETTY_PRINT));